"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.run = exports.assertCommand = void 0;
const tslib_1 = require("tslib");
const index_1 = require("../../core/utils/loggin/index");
const budgets_1 = require("./utils/budgets");
const yargs_1 = require("../../core/utils/yargs");
const md_table_1 = require("./processes/md-table");
const file_1 = require("../../core/utils/file");
exports.assertCommand = {
    command: 'assert',
    description: 'Setup .user-flowrc.json',
    module: {
        handler: (argv) => (0, tslib_1.__awaiter)(void 0, void 0, void 0, function* () {
            (0, index_1.logVerbose)(`run "assert" as a yargs command`);
            const cfg = (0, yargs_1.getCLIConfigFromArgv)(argv);
            const json = JSON.parse((0, file_1.readFile)('./packages/cli/docs/raw/order-coffee.uf.json').toString());
            const table = (0, md_table_1.userFlowReportToMdTable)(json);
            console.log('table', table);
            //  await run(cfg);
        })
    }
};
function run(argv) {
    return (0, tslib_1.__awaiter)(this, void 0, void 0, function* () {
        (0, index_1.logVerbose)((0, budgets_1.readBudgets)());
        return Promise.resolve();
    });
}
exports.run = run;
//# sourceMappingURL=index.js.map